package com.qs.mp.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;

/**
 * @describe 实体类
 * @auther zhongcp
 * @create 2021-08-30 11:26:06
 */
@TableName("sys_snowflake_datacenter")
public class SnowflakeDatacenter implements Serializable {

    private static final long serialVersionUID = 1L;

        /**
     * 主键ID
     */
         @TableId(value = "data_id", type = IdType.AUTO)
    private Long dataId;

        /**
     * mac地址
     */
         @TableField("mac_address")
    private String macAddress;

        /**
     * 服务器名
     */
         @TableField("host_name")
    private String hostName;

        /**
     * 备注
     */
         @TableField("remark")
    private String remark;

    @TableField("create_time")
    private Date createTime;

        /**
     * 修改时间
     */
         @TableField("update_time")
    private Date updateTime;


    public Long getDataId() {
        return dataId;
    }

    public SnowflakeDatacenter setDataId(Long dataId) {
        this.dataId = dataId;
        return this;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public SnowflakeDatacenter setMacAddress(String macAddress) {
        this.macAddress = macAddress;
        return this;
    }

    public String getHostName() {
        return hostName;
    }

    public SnowflakeDatacenter setHostName(String hostName) {
        this.hostName = hostName;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public SnowflakeDatacenter setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public SnowflakeDatacenter setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public SnowflakeDatacenter setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    @Override
    public String toString() {
        return "SnowflakeDatacenter{" +
        "dataId=" + dataId +
        ", macAddress=" + macAddress +
        ", hostName=" + hostName +
        ", remark=" + remark +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        "}";
    }
}